span File Reference

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | __cpp_lib_span
#define | _GLIBCXX_SPAN

## Functions

template<typename _Type , size_t _Extent>
span< const byte, _Extent==dynamic_extent ? dynamic_extent :_Extent *sizeof(_Type)> | std::as_bytes (span< _Type, _Extent > __sp) noexcept
template<typename _Type , size_t _Extent> requires (!is_const_v<_Type>)
span< byte, _Extent==dynamic_extent ? dynamic_extent :_Extent *sizeof(_Type)> | std::as_writable_bytes (span< _Type, _Extent > __sp) noexcept
template<contiguous_iterator _Iter, typename _End >
| std::span (_Iter, _End) -> span< remove_reference_t< iter_reference_t< _Iter > > >
template<ranges::contiguous_range _Range>
| std::span (_Range &&) -> span< remove_reference_t< ranges::range_reference_t< _Range & > > >
template<typename _Type , size_t _ArrayExtent>
| std::span (_Type(&)[_ArrayExtent]) -> span< _Type, _ArrayExtent >
template<typename _Type , size_t _ArrayExtent>
| std::span (array< _Type, _ArrayExtent > &) -> span< _Type, _ArrayExtent >
template<typename _Type , size_t _ArrayExtent>
| std::span (const array< _Type, _ArrayExtent > &) -> span< const _Type, _ArrayExtent >

## Variables

template<typename _Tp >
constexpr bool | std::__detail::__is_span
template<typename _Tp , size_t _Num>
constexpr bool | std::__detail::__is_span< span< _Tp, _Num > >
template<typename _Tp >
constexpr bool | std::__detail::__is_std_array
constexpr size_t | std::dynamic_extent

## Detailed Description

This is a Standard C++ Library header.

Definition in file span.

## Macro Definition Documentation

## __cpp_lib_span

#define __cpp_lib_span

Definition at line 51 of file span.

## _GLIBCXX_SPAN

#define _GLIBCXX_SPAN

Definition at line 35 of file span.